Package org.apache.coyote

## Class UpgradeToken

- java.lang.Object
- - org.apache.coyote.UpgradeToken

    public final class UpgradeToken
    extends Object

Token used during the upgrade process.

### Constructor Summary

Constructors
`UpgradeToken​(HttpUpgradeHandler httpUpgradeHandler, ContextBind contextBind, InstanceManager instanceManager, String protocol)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ContextBind` `getContextBind()`
`HttpUpgradeHandler` `getHttpUpgradeHandler()`
`InstanceManager` `getInstanceManager()`
`String` `getProtocol()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpgradeToken

    public UpgradeToken​(HttpUpgradeHandler httpUpgradeHandler,
                        ContextBind contextBind,
                        InstanceManager instanceManager,
                        String protocol)

### Method Detail

#### getContextBind

    public ContextBind getContextBind()

#### getHttpUpgradeHandler

    public HttpUpgradeHandler getHttpUpgradeHandler()

#### getInstanceManager

    public InstanceManager getInstanceManager()

#### getProtocol

    public String getProtocol()